Bug 1317561 - manpage for docker-daemon should exist but doesn't
Summary: manpage for docker-daemon should exist but doesn't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1319847 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 14:51 UTC by Alan Jenkins
Modified: 2016-09-11 03:51 UTC (History)
12 users (show)

Fixed In Version: docker-1.10.3-16.gitf476348.fc24 docker-1.10.3-43.gita612434.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1317662 (view as bug list)
Environment:
Last Closed: 2016-09-11 03:51:41 UTC
Type: Bug


Attachments (Terms of Use)
You need to add this patch (541 bytes, patch)
2016-03-14 15:23 UTC, Daniel Walsh
no flags Details | Diff

Description Alan Jenkins 2016-03-14 14:51:12 UTC
`man docker` says to try `man docker daemon`, but this does not work.

It works fine for other commands: try `man docker run`.

The manpage does exist upstream, as docker-daemon.8.md.  See <https://github.com/docker/docker/tree/v1.9.1/man>


Version-Release number:
docker-1.9.1-6.git6ec29ef.fc23.x86_64

Comment 1 Daniel Walsh 2016-03-14 15:13:21 UTC
Lokesh there is a man page written for this, but we must not be installing it.

Comment 2 Daniel Walsh 2016-03-14 15:14:35 UTC
Lokesh could you also check to make sure we are shipping it for RHEL.

I don't see the man page in docker-1.10.2-11.gitddbb15a.fc24.x86_64 either.

Comment 3 Antonio Murdaca 2016-03-14 15:18:22 UTC
From checking the spec file for Fedora I guess it's missing an install directive in the spec for man8 (there are for man1 and man5 but not man8)

Comment 4 Daniel Walsh 2016-03-14 15:23:00 UTC
Created attachment 1136194 [details]
You need to add this patch

Comment 5 Lokesh Mandvekar 2016-03-21 17:33:34 UTC
*** Bug 1319847 has been marked as a duplicate of this bug. ***

Comment 6 Daniel Walsh 2016-06-03 12:36:36 UTC
Antonio could you get this patch applied to all versions of docker so that we ship the docker-daemon man page.

Comment 7 Antonio Murdaca 2016-06-03 13:33:27 UTC
pushing out an update for this

Comment 8 Fedora Update System 2016-06-06 14:46:31 UTC
docker-1.10.3-16.gitf476348.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 9 Fedora Update System 2016-06-06 17:57:07 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 10 Fedora Update System 2016-06-10 07:42:16 UTC
docker-1.10.3-31.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 11 Fedora Update System 2016-06-11 03:54:36 UTC
docker-1.10.3-31.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 12 Fedora Update System 2016-06-18 18:41:02 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-06-20 21:49:33 UTC
docker-1.10.3-33.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 14 Fedora Update System 2016-06-22 02:55:05 UTC
docker-1.10.3-33.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 15 Fedora Update System 2016-06-24 18:11:00 UTC
docker-1.10.3-34.git19b5791.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 16 Fedora Update System 2016-06-26 06:21:58 UTC
docker-1.10.3-34.git19b5791.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 17 Fedora Update System 2016-07-01 19:59:16 UTC
docker-1.10.3-35.git3b3d748.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 18 Fedora Update System 2016-07-02 20:53:51 UTC
docker-1.10.3-35.git3b3d748.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 19 Fedora Update System 2016-07-06 14:52:45 UTC
docker-1.10.3-36.git971d3bf.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 20 Fedora Update System 2016-07-10 03:54:30 UTC
docker-1.10.3-36.git971d3bf.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 21 Fedora Update System 2016-07-12 20:16:57 UTC
docker-1.10.3-37.git29066b4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 22 Fedora Update System 2016-07-14 01:24:08 UTC
docker-1.10.3-37.git29066b4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 23 Fedora Update System 2016-07-20 21:32:19 UTC
docker-1.10.3-38.gitcba0656.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bf2cb1e9b

Comment 24 Fedora Update System 2016-07-21 15:25:57 UTC
docker-1.10.3-39.git1ecb834.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 25 Fedora Update System 2016-07-21 18:48:01 UTC
docker-1.10.3-39.git1ecb834.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 26 Fedora Update System 2016-08-22 15:09:53 UTC
docker-1.10.3-40.git128f146.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 27 Fedora Update System 2016-08-23 16:20:37 UTC
docker-1.10.3-40.git128f146.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 28 Fedora Update System 2016-08-24 10:58:47 UTC
docker-1.10.3-41.git78aa320.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 29 Fedora Update System 2016-08-25 10:28:36 UTC
docker-1.10.3-41.git78aa320.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 30 Fedora Update System 2016-08-29 09:26:37 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 31 Fedora Update System 2016-08-29 22:52:52 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 32 Fedora Update System 2016-09-02 09:00:45 UTC
docker-1.10.3-43.gita612434.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 33 Fedora Update System 2016-09-03 03:52:49 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 34 Fedora Update System 2016-09-11 03:51:13 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.